summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2011-08-11 10:47:32 +0000
committerUlrich Müller <ulm@gentoo.org>2011-08-11 10:47:32 +0000
commit1e31b1669d7b4b690e8f05f9793194fe1579fc37 (patch)
treeb5f311e7645907213795140b74eae7058a848308 /app-misc/editor-wrapper/files
parentPackage moved from app-editors/gentoo-editor to app-misc/editor-wrapper. (diff)
downloadhistorical-1e31b1669d7b4b690e8f05f9793194fe1579fc37.tar.gz
historical-1e31b1669d7b4b690e8f05f9793194fe1579fc37.tar.bz2
historical-1e31b1669d7b4b690e8f05f9793194fe1579fc37.zip
Version bump, adding wrapper for PAGER.
Package-Manager: portage-2.1.10.10/cvs/Linux x86_64
Diffstat (limited to 'app-misc/editor-wrapper/files')
-rw-r--r--app-misc/editor-wrapper/files/editor-wrapper-3.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/app-misc/editor-wrapper/files/editor-wrapper-3.sh b/app-misc/editor-wrapper/files/editor-wrapper-3.sh
new file mode 100644
index 000000000000..34520ffef78a
--- /dev/null
+++ b/app-misc/editor-wrapper/files/editor-wrapper-3.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+# Copyright 2009-2011 Gentoo Foundation
+# Distributed under the terms of the MIT/X11 license
+
+# Wrapper script, executes ${@VAR@} with arguments $@
+
+if [ -z "${@VAR@}" ]; then
+ # Try to get @VAR@ from system profile
+ @VAR@=$(. /etc/profile &>/dev/null; echo "${@VAR@}")
+fi
+
+if [ -z "${@VAR@}" ]; then
+ echo "$0: The @VAR@ variable must be set" >&2
+ exit 1
+fi
+
+exec ${@VAR@} "$@"